function [b,db] = b_spline(x,n)
% b = b_spline(x,n)
% values and derivative of the univariate uniform b-spline
%
% x(:)
%   points in [0,1] 
% n
%   degree
% b(i,k), db(i,k)
%   value and derivative at (k-1)+x(i) 

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

b = ones(size(x)); z = zeros(size(x)); db = z;
w = x*ones(1,n+1)+b*[0:n];
for m=1:n
  if m==n
    db = [b, z]-[z, b];
  end
  b = (w(:,1:m+1).*[b, z]+(m+1-w(:,1:m+1)).*[z, b])/m;
end

