function demo_spline_3d()
% demo: program spline_3d
% visualization of trivariate random spline

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

help demo_spline_3d
fprintf('specify parameters or press <return> to use [defaults]\n\n')

% user input
H = input('number of cells per dimension [5]: ');
if isempty(H), H = 5; end

n = input('degree [3]: ');
if isempty(n), n = 3; end

% evaluate random spline
U = rand(H+n,H+n,H+n); M = 3; 
[uXYZ,X,Y,Z] = spline_3d(U,H,n,M);

% plot spline (permutation due to ndgrid -> XYZ)
clf
slice(Y,X,Z,permute(uXYZ,[2 1 3]),[1/3 2/3],[1/3 2/3],[1/3 2/3])
colorbar
shading interp, box on, view(3)
title('volumetric slice plot of trivariate random spline')
