function example_elasticity_3d_dome
% displacement of an concrete dome under gravity

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% inner and outer half axes of ellipsoids
ri = [5 5 10]/20; ro = [9 9 18]/20; 

% degree, grid, and evaluation points
n = 3; 
H = 7; % odd 
M = 9; % odd
PAR=set_par(H,n); PAR.values = M;

% Young modulus (scaled), Poisson ratio, and force 
% (see m-file f_gravity.m)
E = 1; nu = 0.3;
f = @f_gravity;

% domain and essential boundary
% (see m-files w_ellipsoid.m and w_plane.m)
wD = @(x,y,z) -w_ellipsoid(x-1/2,y-1/2,z,ri).*w_ellipsoid(x-1/2,y-1/2,z,ro);
w  = @w_plane;

% finite element approximation 
figure
[U,wuXYZ,X,Y,Z] = elasticity_3d(E,nu,f,wD,w,H,n,PAR); 
pause(10)

% cross section
figure
wDy = @(x,y) wD(x,1/2,z); 
middle = (H*M+1)/2;
X = squeeze(X(:,middle,:)); Z = squeeze(Z(:,middle,:)); 
wuXZ = squeeze(wuXYZ(:,middle,:,[1 3]));
visualize_2de(wDy,wuXZ,X,Z,H)
title('displacement for cross section')

