function visualize_2d(wD,wuXY,X,Y,H)
% visualize_2d(wD,wuXY,X,Y,H)
% graph of sum u_k (w b_k) on wD > 0
%
% function W = wD(x,y)
%   positive on the domain D, subset of (0,1)^2
% wuXY(1:H*M,1:H*M)
%   grid values of the weighted spline, M=PAR.values 
% X(1:H*M,1:H*M), Y(1:H*M,1:H*M)
%   uniform grid of (H*M)^2, points in (0,1)^2, M=PAR.values
% H
%   number of cells per coordinate direction, width 1/H
% -> see documentation for details 

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% plot solution
clf, hold on
title('domain, grid, and solution')

% weighted spline
surf(X,Y,wuXY,'FaceAlpha',0.6)
view(3)
shading interp

% domain
contourf(X,Y,wD(X,Y),[0 inf])

% grid
marks = [0:H]/H; 
plot3([marks, zeros(1,H+1); marks, ones(1,H+1)], ...
  [zeros(1,H+1), marks; ones(1,H+1), marks], ...
  zeros(2,2*H+2)+eps,'k')
hold off 
 
