function visualize_3d(wD,wuXYZ,X,Y,Z)
% visualize_3d(wD,wuXYZ,X,Y,Z)
% graph of sum u_k (w b_k) on wD > 0
%
% function W = wD(x,y,z)
%   positive on the domain D, subset of (0,1)^2
% wUXYZ(1:H*M,1:H*M,1:H*M)
%   grid values of the weighted spline, M=PAR.values 
% X(1:H*M,1:H*M,1:H*M), Y(1:H*M,1:H*M,1:H*M), Z(1:H*M,1:H*M,1:H*M)
%   uniform grid of (H*M)^3 points in (0,1)^3, M=PAR.values
% -> see documentation for details 

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% plot solution
clf, hold on
title('domain and cross sections of solution')

% weighted spline (permutation due to ndgrid -> XYZ)
slice(Y,X,Z,permute(wuXYZ,[2 1 3]),[1/3 2/3],[1/3 2/3],[1/3 2/3])
shading interp, box on, view(3) 

% domain
p = patch(isosurface(X,Y,Z,wD(X,Y,Z),0));
set(p,'FaceAlpha',0.2,'EdgeColor','none','FaceColor','red');

hold off

