function W = wD_tunnel(x,y)
% wD_tunnel(x,y): weight function for tunnel-shaped domain
% generated with the R-function method

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% transformation (0,1)^2 -> (-5,5)x(0,10)
X = 10*x-5; Y = 10*y;

% combine elementary weight functions via Boolean operations
w_parabola = 6-0.24*X.*X-Y; 
w_parabola = w_parabola+Y-sqrt(w_parabola.^2+Y.^2);

w_disc = 4-X.^2-(Y-2).^2; 
w_disc = w_disc+(Y-2)-sqrt(w_disc.^2+(Y-2).^2);

w_rectangle = 4-X.^2; 
w_rectangle = w_rectangle+(1-Y)-sqrt(w_rectangle.^2+(1-Y).^2);

W = w_parabola-w_disc-sqrt(w_parabola.^2+w_disc.^2);
W = W-w_rectangle-sqrt(W.^2+w_rectangle.^2);

