function [W,Wx,Wy,Wz,Wxx,Wxy,Wxz,Wyy,Wyz,Wzz] = w_ellipsoid(x,y,z,r) 
% w_ellipsoid(x,y,z,r): weight-function for an ellipsoid
% r: lengths of half axes 

if length(r) < 3, r = r(1)*[1 1 1]; end

W = 1 - (x/r(1)).^2-(y/r(2)).^2-(z/r(3)).^2;
Wx = -2*x/(r(1)^2); Wy = -2*y/(r(2)^2); Wz = -2*z/(r(3)^2);
Wxx = -2/(r(1)^2)*ones(size(x)); Wxy = zeros(size(x)); Wxz = Wxy; 
Wyy = -2/(r(2)^2)*ones(size(y)); Wyz = Wxy; Wzz = -2/(r(3)^2)*ones(size(z));

