function [W,Wx,Wy,Wxx,Wxy,Wyy] = w_shovel(x,y) 
% w_shovel(x,y): weight function for a shovel-shaped domain 

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% transformation from (0,1)^2 to (-1,1)x(-1/2,2)
x1=2*x-1; x2=(5*y-1)/2;

% values and derivatives
W = 1-x1.^2-(x2+x1.^2-1).^2;
Wx = 4*x1.*(1-2*x2-2*x1.^2); Wy = 5*(1-x2-x1.^2);
Wxx = 8*(1-2*x2-6*x1.^2); Wxy = -20*x1; Wyy = -25/2*ones(size(y));

